Name:          archivemount
Version:       0.8.3
Release:       3%{?dist}
Summary:       FUSE based filesystem for mounting compressed archives

Group:         System Environment/Libraries
License:       LGPLv2+
URL:           http://www.cybernoia.de/software/archivemount/
Source0:       http://www.cybernoia.de/software/archivemount/%{name}-%{version}.tar.gz
Patch0:        fix-debuginfo.patch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires:      fuse
BuildRequires: fuse-devel
BuildRequires: libarchive-devel

%description
Archivemount is a piece of glue code between libarchive and FUSE. It can be
used to mount a (possibly compressed) archive (as in .tar.gz or .tar.bz2)
and use it like an ordinary filesystem.

%prep
%setup -q
%patch0 -p1 -b .fix-debuginfo

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
rm -f archivemount.1
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc CHANGELOG COPYING README
%{_mandir}/*/*
%{_bindir}/archivemount

%changelog
* Fri Aug 15 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Oct 24 2013 Niels de Vos <devos@fedoraproject.org> - 0.8.3-1
- Update to version 0.8.3 (#1022856)
- Drop upstreamed patches

* Wed Oct 23 2013 Niels de Vos <devos@fedoraproject.org> - 0.8.2-1
- Update to version 0.8.2 (#1021347)

* Sun Oct 13 2013 Niels de Vos <devos@fedoraproject.org> - 0.8.1-2
- Do not call fuse_main() to prevent a confusing error message (#1018587)

* Mon Aug 19 2013 Niels de Vos <devos@fedoraproject.org> - 0.8.1-1
- Update to version 0.8.1 (#997779)

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.1-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.1-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jan 17 2013 Tomas Bzatek <tbzatek@redhat.com> - 0.6.1-10
- Rebuilt for new libarchive

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jan 26 2012 Tomas Bzatek <tbzatek@redhat.com> - 0.6.1-8
- Rebuilt for new libarchive

* Sat Jan 07 2012 Niels de Vos <devos@fedoraproject.org> - 0.6.1-7
- Rebuild for new gcc-4.7

* Tue Nov 15 2011 Niels de Vos <devos@fedoraproject.org> - 0.6.1-6
- Rebuild for new libarchive

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Jan 18 2011 Niels de Vos <ndevos@redhat.com> 0.6.1-4
- fix the -debuginfo package as suggested by Tomas Mraz (BZ#598688 comment #12)

* Fri Jan 14 2011 Niels de Vos <ndevos@redhat.com> 0.6.1-3
- fix the -debuginfo package (BZ#598688 comment #10)

* Mon Jan 10 2011 Niels de Vos <niels@nixpanic.net> 0.6.1-2
- force running in single threaded mode (much more stable)
- fix some points from BZ #598688 comment #7

* Wed Jun 24 2010 Niels de Vos <ndevos@redhat.com> 0.6.1-1
- upstream fixed licensing in the source to LGPL (v2 or newer)
- new source does not contain autom4te.cache anymore, no need to 'rm -rf' it

* Tue Jun 15 2010 Niels de Vos <ndevos@redhat.com> 0.6.0-2
- fix license to GNU Library General Public v2 or newer
- remove packaged autoconf/automake cache files

* Mon Jun 01 2010 Niels de Vos <ndevos@redhat.com> 0.6.0-1
- Initial package
